<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b64842d9-4e5b-4db0-85d5-12415e1f5a44" name="Default" comment="" />
    <ignored path="javascript-obfuscator.iws" />
    <ignored path=".idea/workspace.xml" />
    <ignored path=".idea/dataSources.local.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="javascript-obfuscator" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="JavaScript File" />
        <option value="TypeScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="dev" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionMultiplyFunctionTemplate.ts" />
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionDivideFunctionTemplate.ts" />
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionPowFunctionTemplate.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionSubtractionFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionSubtractFunctionTemplate.ts" />
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionExponentitionFunctionTemplate.ts" />
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/ControlFlowStorageCallTemplate.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/AbstractCustomNode.ts" />
        <option value="$PROJECT_DIR$/src/node-control-flow-changers/FunctionControlFlowChanger.ts" />
        <option value="$PROJECT_DIR$/src/node/NodeUtils.ts" />
        <option value="$PROJECT_DIR$/src/node-control-flow-changers/control-flow-replacers/BinaryExpressionControlFlowReplacer.ts" />
        <option value="$PROJECT_DIR$/dist/index.js.map" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionDivideFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/console-output-nodes/ConsoleOutputDisableExpressionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionExponentiationFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionMultiplyFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionSubtractFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionSumFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/ControlFlowStorageCallNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-storage-nodes/ControlFlowStorageNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionCallNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionIntervalNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/DomainLockNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayNode.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/templates/custom-nodes/domain-lock-nodes/DomainLockNodeTemplate.spec.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/templates/custom-nodes/string-array-nodes/StringArrayCallsWrapperNodeTemplate.spec.ts" />
        <option value="$PROJECT_DIR$/test/dev/dev.ts" />
        <option value="$PROJECT_DIR$/src/Obfuscator.ts" />
        <option value="$PROJECT_DIR$/src/node-control-flow-changers/control-flow-replacers/AbstractControlFlowReplacer.ts" />
        <option value="$PROJECT_DIR$/src/enums/JSFuck.ts" />
        <option value="$PROJECT_DIR$/src/templates/custom-nodes/debug-protection-nodes/debug-protection-function-node/DebugProtectionFunctionTemplate.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/node/NodeAppender.ts" />
        <option value="$PROJECT_DIR$/src/node-groups/StringArrayNodesGroup.ts" />
        <option value="$PROJECT_DIR$/src/node-obfuscators/replacers/StringLiteralReplacer.ts" />
        <option value="$PROJECT_DIR$/src/Utils.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/IObfuscatorOptions.d.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/IOptions.d.ts" />
        <option value="$PROJECT_DIR$/src/options/Options.ts" />
        <option value="$PROJECT_DIR$/src/cli/JavaScriptObfuscatorCLI.ts" />
        <option value="$PROJECT_DIR$/src/preset-options/DefaultPreset.ts" />
        <option value="$PROJECT_DIR$/src/preset-options/NoCustomNodesPreset.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/node-calls-controller-nodes/NodeCallsControllerFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/SelfDefendingUnicodeNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayCallsWrapper.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayRotateFunctionNode.ts" />
        <option value="$PROJECT_DIR$/package.json" />
        <option value="$PROJECT_DIR$/CHANGELOG.md" />
        <option value="$PROJECT_DIR$/src/JavaScriptObfuscatorInternal.ts" />
        <option value="$PROJECT_DIR$/test/functional-tests/JavaScriptObfuscator.spec.ts" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER">
    <package-json value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpServers">
    <servers />
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="x" value="178" />
    <option name="y" value="31" />
    <option name="width" value="1742" />
    <option name="height" value="928" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
          <State>
            <id>TypeScript</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>TypeScriptUnresolvedVariable</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="false">
    <OptionsSetting value="true" id="Add" />
    <OptionsSetting value="true" id="Remove" />
    <OptionsSetting value="true" id="Checkout" />
    <OptionsSetting value="true" id="Update" />
    <OptionsSetting value="true" id="Status" />
    <OptionsSetting value="true" id="Edit" />
    <ConfirmationsSetting value="0" id="Add" />
    <ConfirmationsSetting value="0" id="Remove" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="settings.editor.selected.configurable" value="web-ide.project.structure" />
    <property name="settings.editor.splitter.proportion" value="0.2" />
    <property name="JavaScriptPreferStrict" value="false" />
    <property name="JavaScriptWeakerCompletionTypeGuess" value="true" />
    <property name="js-jscs-nodeInterpreter" value="/usr/local/bin/node" />
    <property name="nodejs_interpreter_path" value="$USER_HOME$/.nvm/versions/node/v6.3.1/bin/node" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/node_modules/typescript/lib" />
    <property name="typescript-compiler-editor-notification" value="false" />
    <property name="nodejs.mocha.mocha_node_package_dir" value="$PROJECT_DIR$/node_modules/mocha" />
    <property name="SearchEverywhereHistoryKey" value="&#9;FILE&#9;file:///Users/sanex/PhpstormProjects/javascript-obfuscator/src/cli/JavaScriptObfuscatorCLI.ts" />
    <property name="javascript.nodejs.core.library.configured.version" value="6.3.1" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes" />
      <recent name="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes" />
      <recent name="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-storage-nodes" />
      <recent name="$PROJECT_DIR$/src/custom-nodes/control-flow-storage-nodes" />
      <recent name="$PROJECT_DIR$/src/types" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes" />
      <recent name="$PROJECT_DIR$/src/templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes" />
      <recent name="$PROJECT_DIR$/src/node-control-flow-changers" />
      <recent name="$PROJECT_DIR$/src/templates/custom-nodes" />
      <recent name="$PROJECT_DIR$/src/node-obfuscators" />
    </key>
  </component>
  <component name="RestoreUpdateTree" date="Moments ago" ActionInfo="_Update">
    <UpdatedFiles>
      <FILE-GROUP>
        <option name="myUpdateName" value="Updated from server" />
        <option name="myStatusName" value="Changed on server" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="CHANGED_ON_SERVER" />
        <FILE-GROUP>
          <option name="myUpdateName" value="Updated" />
          <option name="myStatusName" value="Changed" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="UPDATED" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/README.md</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Created" />
          <option name="myStatusName" value="Created" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="CREATED" />
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Deleted" />
          <option name="myStatusName" value="Deleted" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="true" />
          <option name="myId" value="REMOVED_FROM_REPOSITORY" />
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Restored" />
          <option name="myStatusName" value="Will be restored" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="RESTORED" />
        </FILE-GROUP>
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Modified" />
        <option name="myStatusName" value="Modified" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MODIFIED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Skipped" />
        <option name="myStatusName" value="Skipped" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="SKIPPED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with conflicts" />
        <option name="myStatusName" value="Will be merged with conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_CONFLICTS" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with tree conflicts" />
        <option name="myStatusName" value="Merged with tree conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_TREE_CONFLICT" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with property conflicts" />
        <option name="myStatusName" value="Will be merged with property conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_PROPERTY_CONFLICT" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged" />
        <option name="myStatusName" value="Will be merged" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Not in repository" />
        <option name="myStatusName" value="Not in repository" />
        <option name="mySupportsDeletion" value="true" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="UNKNOWN" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Locally added" />
        <option name="myStatusName" value="Locally added" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="LOCALLY_ADDED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Locally removed" />
        <option name="myStatusName" value="Locally removed" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="LOCALLY_REMOVED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Switched" />
        <option name="myStatusName" value="Switched" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="SWITCHED" />
      </FILE-GROUP>
    </UpdatedFiles>
  </component>
  <component name="RunManager" selected="Mocha.Mocha">
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" path-to-node="project" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run-script" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <working-directory />
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui />
      <extra-mocha-options />
      <test-kind>DIRECTORY</test-kind>
      <test-directory />
      <recursive>false</recursive>
      <method />
    </configuration>
    <configuration default="false" name="Mocha" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>$USER_HOME$/.nvm/versions/node/v7.0.0/bin/node</node-interpreter>
      <node-options />
      <working-directory>$PROJECT_DIR$</working-directory>
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui>bdd</ui>
      <extra-mocha-options>--require ts-node/register</extra-mocha-options>
      <test-kind>PATTERN</test-kind>
      <test-pattern>test/**/*.spec.ts</test-pattern>
      <method />
    </configuration>
    <list size="1">
      <item index="0" class="java.lang.String" itemvalue="Mocha.Mocha" />
    </list>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="StructureViewFactory">
    <option name="AUTOSCROLL_MODE" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b64842d9-4e5b-4db0-85d5-12415e1f5a44" name="Default" comment="" />
      <created>1465313655437</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1465313655437</updated>
      <workItem from="1469646526384" duration="175000" />
      <workItem from="1469646716454" duration="478000" />
      <workItem from="1469647364034" duration="473000" />
      <workItem from="1469648094142" duration="5839000" />
      <workItem from="1469737781573" duration="15802000" />
      <workItem from="1469892717432" duration="3787000" />
      <workItem from="1470159562149" duration="6256000" />
      <workItem from="1470337469022" duration="16000" />
      <workItem from="1470473424710" duration="1680000" />
      <workItem from="1470563365899" duration="3929000" />
      <workItem from="1470692187708" duration="1680000" />
      <workItem from="1470766600457" duration="21000" />
      <workItem from="1471853954494" duration="4960000" />
      <workItem from="1472042066966" duration="3681000" />
      <workItem from="1472493842828" duration="4394000" />
      <workItem from="1472556351510" duration="424000" />
      <workItem from="1472557148899" duration="5127000" />
      <workItem from="1472562425256" duration="47856000" />
      <workItem from="1473708631416" duration="3964000" />
      <workItem from="1474186884838" duration="31595000" />
      <workItem from="1474523315482" duration="609000" />
      <workItem from="1474834070926" duration="3903000" />
      <workItem from="1475361912105" duration="588000" />
      <workItem from="1475401230173" duration="12962000" />
      <workItem from="1475415101134" duration="80000" />
      <workItem from="1475415208562" duration="196000" />
      <workItem from="1475415428488" duration="34256000" />
      <workItem from="1475525745031" duration="12205000" />
      <workItem from="1475829485499" duration="411000" />
      <workItem from="1475830471633" duration="79000" />
      <workItem from="1476216530356" duration="1591000" />
      <workItem from="1476532295244" duration="1010000" />
      <workItem from="1476534907986" duration="69000" />
      <workItem from="1476535119305" duration="2199000" />
      <workItem from="1476543071363" duration="331000" />
      <workItem from="1476543443936" duration="14550000" />
      <workItem from="1477424669611" duration="9763000" />
      <workItem from="1477763909702" duration="56418000" />
      <workItem from="1477856457596" duration="66787000" />
      <workItem from="1478032879999" duration="43713000" />
      <workItem from="1478458050164" duration="12202000" />
      <workItem from="1478672594046" duration="13914000" />
      <workItem from="1478691486702" duration="20596000" />
      <workItem from="1479323881179" duration="6685000" />
      <workItem from="1479643129083" duration="36700000" />
    </task>
    <task id="LOCAL-00109" summary="custom node templates update">
      <created>1478013045418</created>
      <option name="number" value="00109" />
      <option name="presentableId" value="LOCAL-00109" />
      <option name="project" value="LOCAL" />
      <updated>1478013045418</updated>
    </task>
    <task id="LOCAL-00110" summary="domainLockTemplate false error">
      <created>1478013346222</created>
      <option name="number" value="00110" />
      <option name="presentableId" value="LOCAL-00110" />
      <option name="project" value="LOCAL" />
      <updated>1478013346223</updated>
    </task>
    <task id="LOCAL-00111" summary="domainLockTemplate false error">
      <created>1478013617038</created>
      <option name="number" value="00111" />
      <option name="presentableId" value="LOCAL-00111" />
      <option name="project" value="LOCAL" />
      <updated>1478013617039</updated>
    </task>
    <task id="LOCAL-00112" summary="domainLockTemplate test fix">
      <created>1478014864858</created>
      <option name="number" value="00112" />
      <option name="presentableId" value="LOCAL-00112" />
      <option name="project" value="LOCAL" />
      <updated>1478014864858</updated>
    </task>
    <task id="LOCAL-00113" summary="custom node templates rework">
      <created>1478017095177</created>
      <option name="number" value="00113" />
      <option name="presentableId" value="LOCAL-00113" />
      <option name="project" value="LOCAL" />
      <updated>1478017095177</updated>
    </task>
    <task id="LOCAL-00114" summary="rc4 performance update">
      <created>1478023590782</created>
      <option name="number" value="00114" />
      <option name="presentableId" value="LOCAL-00114" />
      <option name="project" value="LOCAL" />
      <updated>1478023590782</updated>
    </task>
    <task id="LOCAL-00115" summary="rc4 and base64 decoding performance update">
      <created>1478026406829</created>
      <option name="number" value="00115" />
      <option name="presentableId" value="LOCAL-00115" />
      <option name="project" value="LOCAL" />
      <updated>1478026406829</updated>
    </task>
    <task id="LOCAL-00116" summary="rc4 and base64 decoding performance update">
      <created>1478032403813</created>
      <option name="number" value="00116" />
      <option name="presentableId" value="LOCAL-00116" />
      <option name="project" value="LOCAL" />
      <updated>1478032403813</updated>
    </task>
    <task id="LOCAL-00117" summary="node 0.12 fix">
      <created>1478033479509</created>
      <option name="number" value="00117" />
      <option name="presentableId" value="LOCAL-00117" />
      <option name="project" value="LOCAL" />
      <updated>1478033479510</updated>
    </task>
    <task id="LOCAL-00118" summary="rc4 performance regression fix">
      <created>1478037527427</created>
      <option name="number" value="00118" />
      <option name="presentableId" value="LOCAL-00118" />
      <option name="project" value="LOCAL" />
      <updated>1478037527427</updated>
    </task>
    <task id="LOCAL-00119" summary="custom nodes structure rework">
      <created>1478258784304</created>
      <option name="number" value="00119" />
      <option name="presentableId" value="LOCAL-00119" />
      <option name="project" value="LOCAL" />
      <updated>1478258784304</updated>
    </task>
    <task id="LOCAL-00120" summary="custom nodes update and NodeAppender tests code moved to fixtures">
      <created>1478263587518</created>
      <option name="number" value="00120" />
      <option name="presentableId" value="LOCAL-00120" />
      <option name="project" value="LOCAL" />
      <updated>1478263587519</updated>
    </task>
    <task id="LOCAL-00121" summary="fixed selfDefendingNodesGroup callsControllerFunction name">
      <created>1478265091151</created>
      <option name="number" value="00121" />
      <option name="presentableId" value="LOCAL-00121" />
      <option name="project" value="LOCAL" />
      <updated>1478265091151</updated>
    </task>
    <task id="LOCAL-00122" summary="NodeGroups refactoring wip">
      <created>1478273255455</created>
      <option name="number" value="00122" />
      <option name="presentableId" value="LOCAL-00122" />
      <option name="project" value="LOCAL" />
      <updated>1478273255455</updated>
    </task>
    <task id="LOCAL-00123" summary="tslint check fix">
      <created>1478273672031</created>
      <option name="number" value="00123" />
      <option name="presentableId" value="LOCAL-00123" />
      <option name="project" value="LOCAL" />
      <updated>1478273672031</updated>
    </task>
    <task id="LOCAL-00124" summary="merge rc4 branch to dev">
      <created>1478278216382</created>
      <option name="number" value="00124" />
      <option name="presentableId" value="LOCAL-00124" />
      <option name="project" value="LOCAL" />
      <updated>1478278216382</updated>
    </task>
    <task id="LOCAL-00125" summary="deps update">
      <created>1478278501136</created>
      <option name="number" value="00125" />
      <option name="presentableId" value="LOCAL-00125" />
      <option name="project" value="LOCAL" />
      <updated>1478278501137</updated>
    </task>
    <task id="LOCAL-00126" summary="docs update">
      <created>1478279936443</created>
      <option name="number" value="00126" />
      <option name="presentableId" value="LOCAL-00126" />
      <option name="project" value="LOCAL" />
      <updated>1478279936443</updated>
    </task>
    <task id="LOCAL-00127" summary="selfDefending template for unicode array calls wrapper">
      <created>1478451223645</created>
      <option name="number" value="00127" />
      <option name="presentableId" value="LOCAL-00127" />
      <option name="project" value="LOCAL" />
      <updated>1478451223645</updated>
    </task>
    <task id="LOCAL-00128" summary="ConsoleOutputDisableExpressionTemplate rewrite">
      <created>1478454164370</created>
      <option name="number" value="00128" />
      <option name="presentableId" value="LOCAL-00128" />
      <option name="project" value="LOCAL" />
      <updated>1478454164371</updated>
    </task>
    <task id="LOCAL-00129" summary="fix">
      <created>1478454182674</created>
      <option name="number" value="00129" />
      <option name="presentableId" value="LOCAL-00129" />
      <option name="project" value="LOCAL" />
      <updated>1478454182674</updated>
    </task>
    <task id="LOCAL-00130" summary="fixed incorrect custom nodes name if they appended into root block statement">
      <created>1478456793677</created>
      <option name="number" value="00130" />
      <option name="presentableId" value="LOCAL-00130" />
      <option name="project" value="LOCAL" />
      <updated>1478456793677</updated>
    </task>
    <task id="LOCAL-00131" summary="Update changelog">
      <created>1478456997808</created>
      <option name="number" value="00131" />
      <option name="presentableId" value="LOCAL-00131" />
      <option name="project" value="LOCAL" />
      <updated>1478456997808</updated>
    </task>
    <task id="LOCAL-00132" summary="structure change">
      <created>1478632734266</created>
      <option name="number" value="00132" />
      <option name="presentableId" value="LOCAL-00132" />
      <option name="project" value="LOCAL" />
      <updated>1478632734266</updated>
    </task>
    <task id="LOCAL-00133" summary="tslint fix">
      <created>1478638491102</created>
      <option name="number" value="00133" />
      <option name="presentableId" value="LOCAL-00133" />
      <option name="project" value="LOCAL" />
      <updated>1478638491103</updated>
    </task>
    <task id="LOCAL-00134" summary="Fixed obfuscation of global variables and function names in some cases">
      <created>1478641675898</created>
      <option name="number" value="00134" />
      <option name="presentableId" value="LOCAL-00134" />
      <option name="project" value="LOCAL" />
      <updated>1478641675898</updated>
    </task>
    <task id="LOCAL-00135" summary="fixed runtime errors">
      <created>1478642949180</created>
      <option name="number" value="00135" />
      <option name="presentableId" value="LOCAL-00135" />
      <option name="project" value="LOCAL" />
      <updated>1478642949180</updated>
    </task>
    <task id="LOCAL-00136" summary="new option `unicodeEscapeSequence`&#10;renamed following options `unicodeArray`, `unicodeArrayEncoding`, `rotateUnicodeArray`">
      <created>1478677848668</created>
      <option name="number" value="00136" />
      <option name="presentableId" value="LOCAL-00136" />
      <option name="project" value="LOCAL" />
      <updated>1478677848669</updated>
    </task>
    <task id="LOCAL-00137" summary="stringsArray -&gt; stringArray raname">
      <created>1478686240278</created>
      <option name="number" value="00137" />
      <option name="presentableId" value="LOCAL-00137" />
      <option name="project" value="LOCAL" />
      <updated>1478686240278</updated>
    </task>
    <task id="LOCAL-00138" summary="OptionsNormalizer.spec refactoring">
      <created>1478688601981</created>
      <option name="number" value="00138" />
      <option name="presentableId" value="LOCAL-00138" />
      <option name="project" value="LOCAL" />
      <updated>1478688601981</updated>
    </task>
    <task id="LOCAL-00139" summary="OptionsNormalizer.spec refactoring">
      <created>1478688846250</created>
      <option name="number" value="00139" />
      <option name="presentableId" value="LOCAL-00139" />
      <option name="project" value="LOCAL" />
      <updated>1478688846250</updated>
    </task>
    <task id="LOCAL-00140" summary="CatchClauseObfuscator.spec refactoring">
      <created>1478690787750</created>
      <option name="number" value="00140" />
      <option name="presentableId" value="LOCAL-00140" />
      <option name="project" value="LOCAL" />
      <updated>1478690787750</updated>
    </task>
    <task id="LOCAL-00141" summary="CatchClauseObfuscator.spec refactoring">
      <created>1478700426506</created>
      <option name="number" value="00141" />
      <option name="presentableId" value="LOCAL-00141" />
      <option name="project" value="LOCAL" />
      <updated>1478700426511</updated>
    </task>
    <task id="LOCAL-00142" summary="readme update">
      <created>1478700582880</created>
      <option name="number" value="00142" />
      <option name="presentableId" value="LOCAL-00142" />
      <option name="project" value="LOCAL" />
      <updated>1478700582880</updated>
    </task>
    <task id="LOCAL-00143" summary="readme update">
      <created>1478700653977</created>
      <option name="number" value="00143" />
      <option name="presentableId" value="LOCAL-00143" />
      <option name="project" value="LOCAL" />
      <updated>1478700653977</updated>
    </task>
    <task id="LOCAL-00144" summary="0.8.0-beta.1">
      <created>1478710388630</created>
      <option name="number" value="00144" />
      <option name="presentableId" value="LOCAL-00144" />
      <option name="project" value="LOCAL" />
      <updated>1478710388630</updated>
    </task>
    <task id="LOCAL-00145" summary="0.8.0-beta.2: fixed wrong obfuscation of labels">
      <created>1479075486526</created>
      <option name="number" value="00145" />
      <option name="presentableId" value="LOCAL-00145" />
      <option name="project" value="LOCAL" />
      <updated>1479075486526</updated>
    </task>
    <task id="LOCAL-00146" summary="LabeledStatementObfuscator: changed description block">
      <created>1479100784881</created>
      <option name="number" value="00146" />
      <option name="presentableId" value="LOCAL-00146" />
      <option name="project" value="LOCAL" />
      <updated>1479100784881</updated>
    </task>
    <task id="LOCAL-00147" summary="dist update">
      <created>1479146898203</created>
      <option name="number" value="00147" />
      <option name="presentableId" value="LOCAL-00147" />
      <option name="project" value="LOCAL" />
      <updated>1479146898203</updated>
    </task>
    <task id="LOCAL-00148" summary="0.8.0 release">
      <created>1479323068814</created>
      <option name="number" value="00148" />
      <option name="presentableId" value="LOCAL-00148" />
      <option name="project" value="LOCAL" />
      <updated>1479323068814</updated>
    </task>
    <task id="LOCAL-00149" summary="0.8.1">
      <created>1479573459826</created>
      <option name="number" value="00149" />
      <option name="presentableId" value="LOCAL-00149" />
      <option name="project" value="LOCAL" />
      <updated>1479573459827</updated>
    </task>
    <task id="LOCAL-00150" summary="0.8.1">
      <created>1479574405811</created>
      <option name="number" value="00150" />
      <option name="presentableId" value="LOCAL-00150" />
      <option name="project" value="LOCAL" />
      <updated>1479574405811</updated>
    </task>
    <task id="LOCAL-00151" summary="First draw of control flow change. Right now for binary expressions.">
      <created>1479669726949</created>
      <option name="number" value="00151" />
      <option name="presentableId" value="LOCAL-00151" />
      <option name="project" value="LOCAL" />
      <updated>1479669726950</updated>
    </task>
    <task id="LOCAL-00152" summary="update code for dev test">
      <created>1479670538405</created>
      <option name="number" value="00152" />
      <option name="presentableId" value="LOCAL-00152" />
      <option name="project" value="LOCAL" />
      <updated>1479670538405</updated>
    </task>
    <task id="LOCAL-00153" summary="moving from `format-unicorn` on `string-template` package">
      <created>1479675304554</created>
      <option name="number" value="00153" />
      <option name="presentableId" value="LOCAL-00153" />
      <option name="project" value="LOCAL" />
      <updated>1479675304555</updated>
    </task>
    <task id="LOCAL-00154" summary="First draw of control flow change. Right now for binary expressions.">
      <created>1479682107787</created>
      <option name="number" value="00154" />
      <option name="presentableId" value="LOCAL-00154" />
      <option name="project" value="LOCAL" />
      <updated>1479682107787</updated>
    </task>
    <task id="LOCAL-00155" summary="`seed` option and `IE8` fix">
      <created>1479755149913</created>
      <option name="number" value="00155" />
      <option name="presentableId" value="LOCAL-00155" />
      <option name="project" value="LOCAL" />
      <updated>1479755149913</updated>
    </task>
    <task id="LOCAL-00156" summary="0.8.2 release">
      <created>1479756331440</created>
      <option name="number" value="00156" />
      <option name="presentableId" value="LOCAL-00156" />
      <option name="project" value="LOCAL" />
      <updated>1479756331440</updated>
    </task>
    <task id="LOCAL-00157" summary="readme update">
      <created>1479756721766</created>
      <option name="number" value="00157" />
      <option name="presentableId" value="LOCAL-00157" />
      <option name="project" value="LOCAL" />
      <updated>1479756721766</updated>
    </task>
    <option name="localTasksCounter" value="158" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Mocha - 2016.11.20 at 23h 54m 41s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 21h 56m 49s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 21h 58m 12s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 21h 58m 44s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 22h 00m 35s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 22h 02m 33s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 22h 05m 25s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 22h 20m 28s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 22h 21m 52s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.11.21 at 22h 23m 58s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="493954000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="178" y="31" width="1742" height="928" extended-state="0" />
    <editor active="false" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.25117648" sideWeight="0.5358744" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32908458" sideWeight="0.5048046" order="10" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.326555" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.2510024" sideWeight="0.46412557" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32535884" sideWeight="0.4951954" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3923445" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24882352" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.39114833" sideWeight="0.49775785" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39952153" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="TypeScript" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32905984" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32908458" sideWeight="0.5048046" order="11" side_tool="true" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.2510024" sideWeight="0.46412557" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32535884" sideWeight="0.4951954" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3923445" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.39114833" sideWeight="0.49775785" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="TypeScript" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32905984" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.25117648" sideWeight="0.5358744" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.326555" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24882352" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39952153" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT" value="false" />
    <option name="CHECK_NEW_TODO" value="false" />
    <MESSAGE value="selfDefending template for unicode array calls wrapper" />
    <MESSAGE value="ConsoleOutputDisableExpressionTemplate rewrite" />
    <MESSAGE value="fix" />
    <MESSAGE value="fixed incorrect custom nodes name if they appended into root block statement" />
    <MESSAGE value="Update changelog" />
    <MESSAGE value="structure change" />
    <MESSAGE value="tslint fix" />
    <MESSAGE value="Fixed obfuscation of global variables and function names in some cases" />
    <MESSAGE value="fixed runtime errors" />
    <MESSAGE value="new option `unicodeEscapeSequence`&#10;renamed following options `unicodeArray`, `unicodeArrayEncoding`, `rotateUnicodeArray`" />
    <MESSAGE value="stringsArray -&gt; stringArray raname" />
    <MESSAGE value="OptionsNormalizer.spec refactoring" />
    <MESSAGE value="CatchClauseObfuscator.spec refactoring" />
    <MESSAGE value="0.8.0-beta.1" />
    <MESSAGE value="0.8.0-beta.2: fixed wrong obfuscation of labels" />
    <MESSAGE value="LabeledStatementObfuscator: changed description block" />
    <MESSAGE value="dist update" />
    <MESSAGE value="0.8.0 release" />
    <MESSAGE value="0.8.1" />
    <MESSAGE value="update code for dev test" />
    <MESSAGE value="moving from `format-unicorn` on `string-template` package" />
    <MESSAGE value="First draw of control flow change. Right now for binary expressions." />
    <MESSAGE value="`seed` option and `IE8` fix" />
    <MESSAGE value="0.8.2 release" />
    <MESSAGE value="readme update" />
    <option name="LAST_COMMIT_MESSAGE" value="readme update" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="20" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/node_modules/format-unicorn/safe.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/index.js.map">
      <provider editor-type-id="sourcemapFileViewerProvider">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="172">
          <caret line="0" column="91612" selection-start-line="0" selection-start-column="91612" selection-end-line="0" selection-end-column="91612" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tsconfig.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/@types/string-template/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#!!doc" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionDivideFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="22" selection-start-line="0" selection-start-column="0" selection-end-line="1" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionExponentiationFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="510">
          <caret line="28" column="24" selection-start-line="28" selection-start-column="24" selection-end-line="28" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionMultiplyFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="29" column="7" selection-start-line="29" selection-start-column="7" selection-end-line="29" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionSubtractFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="578">
          <caret line="32" column="63" selection-start-line="32" selection-start-column="63" selection-end-line="32" selection-end-column="63" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionSumFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="578">
          <caret line="32" column="58" selection-start-line="32" selection-start-column="58" selection-end-line="32" selection-end-column="58" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/ControlFlowStorageCallNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="468">
          <caret line="66" column="5" selection-start-line="66" selection-start-column="5" selection-end-line="66" selection-end-column="5" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-storage-nodes/ControlFlowStorageNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="179">
          <caret line="56" column="24" selection-start-line="56" selection-start-column="24" selection-end-line="56" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionCallNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="621">
          <caret line="45" column="61" selection-start-line="45" selection-start-column="61" selection-end-line="45" selection-end-column="61" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionIntervalNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="621">
          <caret line="45" column="65" selection-start-line="45" selection-start-column="65" selection-end-line="45" selection-end-column="65" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="281">
          <caret line="72" column="7" selection-start-line="72" selection-start-column="7" selection-end-line="72" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/templates/custom-nodes/domain-lock-nodes/DomainLockNodeTemplate.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="16" column="71" selection-start-line="16" selection-start-column="71" selection-end-line="16" selection-end-column="71" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/templates/custom-nodes/string-array-nodes/StringArrayCallsWrapperNodeTemplate.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="67" column="34" selection-start-line="67" selection-start-column="34" selection-end-line="67" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/dev/dev.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="54" column="31" selection-start-line="54" selection-start-column="27" selection-end-line="54" selection-end-column="31" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-control-flow-changers/AbstractNodeControlFlowChanger.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-control-flow-changers/control-flow-replacers/AbstractControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="143">
          <caret line="28" column="0" selection-start-line="28" selection-start-column="0" selection-end-line="28" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/enums/JSFuck.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-510">
          <caret line="0" column="28" selection-start-line="0" selection-start-column="28" selection-end-line="0" selection-end-column="28" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/templates/custom-nodes/debug-protection-nodes/debug-protection-function-node/DebugProtectionFunctionTemplate.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="23" column="1" selection-start-line="23" selection-start-column="1" selection-end-line="23" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/console-output-nodes/ConsoleOutputDisableExpressionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="331">
          <caret line="88" column="61" selection-start-line="88" selection-start-column="61" selection-end-line="88" selection-end-column="61" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="44" column="71" selection-start-line="44" selection-start-column="71" selection-end-line="44" selection-end-column="71" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/DomainLockNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="297">
          <caret line="78" column="49" selection-start-line="78" selection-start-column="49" selection-end-line="78" selection-end-column="49" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node/NodeAppender.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="106" column="7" selection-start-line="106" selection-start-column="7" selection-end-line="106" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-groups/StringArrayNodesGroup.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="850">
          <caret line="50" column="33" selection-start-line="50" selection-start-column="33" selection-end-line="50" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-obfuscators/replacers/StringLiteralReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="29" column="28" selection-start-line="29" selection-start-column="28" selection-end-line="29" selection-end-column="28" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Obfuscator.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="408">
          <caret line="123" column="6" selection-start-line="123" selection-start-column="6" selection-end-line="123" selection-end-column="6" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ObfuscationResult.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/SourceMapCorrector.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/options/ValidationErrorsFormatter.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/@types/chance/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="7" column="18" selection-start-line="7" selection-start-column="14" selection-end-line="7" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/IObfuscatorOptions.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="11" selection-start-line="11" selection-start-column="11" selection-end-line="11" selection-end-column="11" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/options/Options.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="91" column="26" selection-start-line="91" selection-start-column="26" selection-end-line="91" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/IOptions.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="19" selection-start-line="11" selection-start-column="19" selection-end-line="11" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/preset-options/DefaultPreset.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="9" selection-start-line="12" selection-start-column="0" selection-end-line="13" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/preset-options/NoCustomNodesPreset.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="12" selection-start-line="12" selection-start-column="12" selection-end-line="12" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Utils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="46" selection-start-line="8" selection-start-column="46" selection-end-line="8" selection-end-column="46" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/node-calls-controller-nodes/NodeCallsControllerFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="81" column="16" selection-start-line="81" selection-start-column="16" selection-end-line="81" selection-end-column="16" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/SelfDefendingUnicodeNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="75" column="12" selection-start-line="75" selection-start-column="12" selection-end-line="75" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayRotateFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="97" column="12" selection-start-line="97" selection-start-column="12" selection-end-line="97" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayCallsWrapper.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="212">
          <caret line="135" column="12" selection-start-line="135" selection-start-column="12" selection-end-line="135" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/fixtures/sample.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CHANGELOG.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="102">
            <caret line="5" column="24" selection-start-line="5" selection-start-column="24" selection-end-line="5" selection-end-column="24" />
            <folding />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/cli/JavaScriptObfuscatorCLI.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1798">
          <caret line="103" column="11" selection-start-line="103" selection-start-column="11" selection-end-line="103" selection-end-column="11" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/JavaScriptObfuscator.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="382">
          <caret line="27" column="44" selection-start-line="27" selection-start-column="44" selection-end-line="27" selection-end-column="44" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/JavaScriptObfuscatorInternal.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1003">
          <caret line="98" column="9" selection-start-line="98" selection-start-column="9" selection-end-line="98" selection-end-column="9" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/performance-tests/JavaScriptObfuscatorPerformance.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="21" selection-start-line="11" selection-start-column="0" selection-end-line="12" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/JavaScriptObfuscator.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="279">
          <caret line="136" column="65" selection-start-line="136" selection-start-column="65" selection-end-line="136" selection-end-column="65" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="39" selection-start-line="3" selection-start-column="39" selection-end-line="3" selection-end-column="39" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="135">
            <caret line="222" column="10" selection-start-line="222" selection-start-column="10" selection-end-line="222" selection-end-column="10" />
            <folding>
              <marker date="1479756703000" expanded="true" signature="2518:2558" ph="{...}" />
              <marker date="1479756703000" expanded="true" signature="2615:2770" ph="/*...*/" />
              <marker date="1479756703000" expanded="true" signature="4241:4416" ph="{...}" />
              <marker date="1479756703000" expanded="true" signature="4241:4673" ph="{...}" />
              <marker date="1479756703000" expanded="true" signature="7097:7170" ph="{...}" />
              <marker date="1479756703000" expanded="true" signature="7116:7167" ph="[...]" />
            </folding>
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
  </component>
</project>